Summary: A next-generation printing system for UNIX
Name: LPRng
Version: 3.2.6
Release: 1
Copyright: GPL
Group: Utilities/System
Source0: ftp://dickory.sdsu.edu/pub/LPRng/LPRng-3.2.6.tgz
Source1: lpd.init
Patch: LPRng-3.2.4-fsstnd.patch
BuildRoot: /tmp/LPRng-root

%description
LPRng is the "next generation" printing system for UNIX, featuring
enhanced reliability and security.

%package lpd
Summary: Server for LPRng printing
Group: Daemons
Requires: LPRng = %{PACKAGE_VERSION}-%{PACKAGE_RELEASE}

%description lpd
This package includes the server portion of the LPRng printing system.

%changelog

* Thu Jun 5 1997 Timo Karjalainen <timok@iki.fi>

- Upgraded to version 3.2.6

* Sat May 31 1997 Timo Karjalainen <timok@iki.fi>

- Upgraded to version 3.2.5
- Some minor changes to specfile

%prep
%setup

%patch -p1
cp /usr/share/gettext/po-Makefile.in.in po/Makefile.in.in

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-nls

make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
make prefix=$RPM_BUILD_ROOT/usr install
install -m 755 -o 0 -g 0 $RPM_SOURCE_DIR/lpd.init $RPM_BUILD_ROOT/etc/rc.d/init.d
for I in 0 1 6; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	ln -s ../init.d/lpd.init $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/K40lpd
done
for I in 2 3 5; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	ln -s ../init.d/lpd.init $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/S60lpd
done
install -m 644 -o 0 -g 0 lpd.conf lpd.perms $RPM_BUILD_ROOT/etc
touch $RPM_BUILD_ROOT/etc/printcap

%clean
rm -rf $RPM_BUILD_ROOT

%files
%config /etc/printcap
%config /etc/lpd.conf
%config /etc/lpd.perms
%doc ABOUT-NLS.LPRng ANNOUNCE Artistic.license CHANGES CONTRIBUTORS COPYING
%doc Commercial.license DOC INFORMATION LICENSE README* TESTSUPPORT UTILS VERSION
/usr/bin/*
/usr/sbin/lpc
/usr/man/man5/*
/usr/share/locale/fr/LC_MESSAGES/LPRng.mo
/usr/man/man1/lpc.1
/usr/sbin/lpf
/usr/sbin/lpbanner
/usr/man/man1/cancel.1
/usr/man/man1/lp.1
/usr/man/man1/lpbanner.1
/usr/man/man1/lpf.1
/usr/man/man1/lpq.1
/usr/man/man1/lpr.1
/usr/man/man1/lprm.1
/usr/man/man1/lpstat.1
/usr/man/man1/monitor.1

%files lpd
%config /etc/rc.d/init.d/lpd.init
/etc/rc.d/rc*/*
# This package requires the main package, so we don't include these.
#%config /etc/printcap
#%config /etc/lpd.conf
#%config /etc/lpd.perms
/usr/sbin/lpd
/usr/sbin/lpraccnt
/usr/sbin/readfilecount
/usr/man/man1/readfilecount.1
/usr/sbin/removeoneline
/usr/sbin/authenticate_pgp
/usr/sbin/setupauth
/usr/man/man1/authenticate_pgp.1
/usr/man/man8/*
/usr/man/man1/lpraccnt.1
/usr/sbin/checkpc
